import { ComponentFactoryResolver, AfterViewInit, OnDestroy, ViewContainerRef } from '@angular/core';
import { ColumnState } from './interfaces';
export declare class TableCell implements AfterViewInit, OnDestroy {
    private viewContainer;
    private resolver;
    row: any;
    column: ColumnState;
    cmpContainer: ViewContainerRef;
    private componentRef;
    constructor(viewContainer: ViewContainerRef, resolver: ComponentFactoryResolver);
    getValue(): any;
    getFormattedValue(): any;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
