var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { SuperTable } from './superTable.component';
import { SuperTableHead } from './superTableHead.component';
import { SuperTableBody } from './superTableBody.component';
import { SuperTableRow } from './superTableRow.component';
import { DummyRows } from './dummyRows.component';
import { TableHeader, Resizer } from './tableHeader.component';
export { superTableSorters } from './superTableSorters';
export { superTableFilters } from './superTableFilters';
import { SuperTableCell } from './superTableCell.component';
export { SuperTableCell } from './superTableCell.component';
import { TableCell } from './tableCell.component';
import { TextFilter } from './textFilter.component';
import { EnumFilter, EnumFilterDropdown } from './enumFilter.component';
var SuperTableModule = (function () {
    function SuperTableModule() {
    }
    return SuperTableModule;
}());
SuperTableModule = __decorate([
    NgModule({
        // Components declared in this library
        declarations: [
            SuperTable,
            SuperTableHead,
            SuperTableBody,
            SuperTableCell,
            SuperTableRow,
            DummyRows,
            TableHeader,
            TableCell,
            Resizer,
            TextFilter,
            EnumFilter,
            EnumFilterDropdown
        ],
        imports: [CommonModule, FormsModule],
        exports: [SuperTable, SuperTableCell],
        entryComponents: [
            EnumFilterDropdown
        ]
    })
], SuperTableModule);
export { SuperTableModule };
